Valorant API Unofficial docs
API Reference Local Endpoints
GET

Local Swagger Docs

Fetches json Swagger docs for local endpoints. Can be imported into Swagger or Insomnia.

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/swagger/v3/openapi.json

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

any

Swagger doc schema